{%  extends "base.html" %}

{%  block content %}
<h1></h1>
<script src="../static/js/scripts.js"></script>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6">
                <div class="alert alert-secondary" role="alert">
                    <h3>Введите данные, чтобы проанализировать репозитории</h3>
                </div>
                <div class="container">
                    <form action="/" method="post">
                        <div class="form-group row">
                            <label for="inputRepos" class="col-sm-3 col-form-label">Название репозитория с проектами</label>
                                <div class="col-sm-6">
                                    <div class="input-group"><div class="input-group-addon">results/</div>
                                    <input type="text" class="form-control" id="reposName" name="reposName">
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputToken" class="col-sm-3 col-form-label">Приватный токен Gitlab</label>
                            <div class="col-sm-6">
                                <input type="password" class="form-control" name="inputToken" id="inputToken">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-sm-3">Местонахождение репозиториев</label>
                            <div class="col-sm-6">
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radioH" id="radio1" value="net" checked> Считывать данные с ресурса Gitlab
                                    </label>
                                </div>
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radioH" id="radio2" value="host"> Обрабатывать данные с локального сервера
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-sm-3">Проекты в репозитории</label>
                            <div class="col-sm-6">
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radio" id="radio1" value="prac3" checked> Учебно-методическая практика, 3 курс
                                    </label>
                                </div>
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radio" id="radio2" value="kurs1"> Курсовая работа 1 семестра, 4 курс
                                    </label>
                                </div>
                                <div class="form-check disabled">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radio" id="radio3" value="kurs2"> Курсовая работа 2 семестра, 4 курс
                                    </label>
                                </div>
                                <div class="form-check disabled">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radio" id="radio4" value="diplom"> Дипломная работа, 5 курс
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-sm-3">Краткая или полная статистика</label>
                            <div class="col-sm-6">
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radioS" id="radioS" value="short" checked> Краткая
                                    </label>
                                </div>
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radioS" id="radioF" value="full"> Полная
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-form-label col-sm-3">Структура репозитория</label>
                            <div class="col-sm-6">
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radioR" id="radioO" value="old" checked> Старая
                                    </label>
                                </div>
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" name="radioR" id="radioN" value="new"> Новая (с 2021-22 уч.года)
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="offset-sm-2 col-sm-10">
                                <button type="submit" class="btn btn-primary btn-lg" id="submit" name="submit">Обработать репозиторий с проектами</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
